Issue 121433 - Inserted pictures sometimes vanish randomly from the file
Summary: Inserted pictures sometimes vanish randomly from the file
Status: UNCONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: 3.4.1
Hardware: Mac OS X 10.8
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact: Rob Weir
URL:
Keywords: needmoreinfo
Depends on:
Blocks:
 
Reported: 2012-12-03 22:28 UTC by apache.org_kozuschek
Modified: 2017-05-20 11:53 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Screen image showing a slide with a vanished picture. (24.56 KB, image/png)
2012-12-03 22:28 UTC, apache.org_kozuschek
no flags Details
Impress presentation file, where a picture has vanished (171.82 KB, application/vnd.oasis.opendocument.presentation)
2012-12-09 22:30 UTC, apache.org_kozuschek
no flags Details
Picture, which HAS vanished (399.51 KB, image/jpeg)
2013-04-22 21:05 UTC, apache.org_kozuschek
no flags Details
Picture, which HAS vanished (419.10 KB, image/jpeg)
2013-04-22 21:06 UTC, apache.org_kozuschek
no flags Details
Picture, which has NOT vanished (376.30 KB, image/jpeg)
2013-04-22 21:08 UTC, apache.org_kozuschek
no flags Details
Picture, which has NOT vanished (215.12 KB, image/jpeg)
2013-04-22 21:08 UTC, apache.org_kozuschek
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description apache.org_kozuschek 2012-12-03 22:28:06 UTC
Created attachment 79991 [details]
Screen image showing a slide with a vanished picture.

When opening a self created Impress file (".odp") on the same computer, sometimes some of the inserted pictures have vanished. Instead, a rectangle is shown, having the exact position and size but just containing an icon (I have attached a screen image). The pictures have vanished from the file "content.xml" (<draw:image xlink:href="">) and also from the included subfolder "Pictures".
History:
We have used StarOffice and Oracle Open Office for many years without that problem.
Then, we have switched to Apache OpenOffice-3.4.1: My wife had shown an Impress presentation during her lecture at the university, but five of the about 30 pictures have vanished as decribed above. When my wife had double-checked that presentation before, everything was fine.
Failed tries of work-around:
Enlarging the picture cache seems to make the problem even worse: the next time, 7 pictures have vanished — this time at home when checking a presentation.
Uninstalling Apache Open Office 3.4.1 and reinstalling it did not help.
Uninstalling Apache Open Office 3.4.1 and (re-)installing Oracle Open Office 3.1.0 did not help for long: again one picture has vanished the other day at the university…
Uninstalling Oracle Open Office, removing as many preferences and cache files we could find, and re-installing Apache Open Office 3.4.1 did not help: again sometimes some pictures have vanished when reopening a file.
My wife is suspecting the automatic storing of recovery data, which happens every 15 minutes while editing a file, but we are not shure about that.
Comment 1 Oliver-Rainer Wittmann 2012-12-05 09:59:01 UTC
@apache.org_kozuschek@genoko.de:
Can you attach a sample document which shows the described defect?
Otherwise it will be quite hard to reproduce and afterwards to fix the defect.
Thanks in advance.
Comment 2 apache.org_kozuschek 2012-12-09 22:30:15 UTC
Created attachment 80014 [details]
Impress presentation file, where a picture has vanished

The original presentation file was too large, so I have removed many slides. The picture has vanished from slide nr. 33, which is now slide nr. 4.
Comment 3 Rob Weir 2013-04-03 14:40:21 UTC
I loaded the attached document in AOO 3.4.1 on Windows 7 and see that there is a problem on slide 4.  There is a frame but no image is displaying. 

However, when I examine the ODF in an XML editor I see the markup looks like this:

<draw:image xlink:href="">

So no image is specified.  It is blank.  And I confirmed that there were only two images in the ODF package, from other pages.  There was no "unlinked" image for slide 4.

So changing cache size, etc., will have no effect on this document.  The image is not there.

Any idea on what steps prior to this may have caused the image to have been removed?  We need to figure out what caused the problem.  The document as it is now doesn't really give us any clues.

Was there anything special about the missing images?  Were they also JPG files?  Or something else?
Comment 4 apache.org_kozuschek 2013-04-21 20:41:01 UTC
The inserted pictures are JPEG (sometimes PNG). The pictures which have vanished from some presentations are not special, as far as we can see. The same pictures have even been used in other presentations without any problems.
We are very sorry, but we do not have any clue, what configuration, which action or workflow triggers that bug.
Comment 5 apache.org_kozuschek 2013-04-22 21:05:33 UTC
Created attachment 80576 [details]
Picture, which HAS vanished

Today, three pictures have been vanished from the presentation, when my wife was holding her lecture…
The files are: "妈妈.jpg", "姐姐.jpg", and "汉堡包.jpg".
Many other files have not vanished, from the same presentation, added before, between or after those three, for example "沙发.jpg", and "笔.jpg".
Comment 6 apache.org_kozuschek 2013-04-22 21:06:08 UTC
Created attachment 80577 [details]
Picture, which HAS vanished
Comment 7 apache.org_kozuschek 2013-04-22 21:08:04 UTC
Created attachment 80578 [details]
Picture, which has NOT vanished
Comment 8 apache.org_kozuschek 2013-04-22 21:08:25 UTC
Created attachment 80579 [details]
Picture, which has NOT vanished
Comment 9 apache.org_kozuschek 2013-05-27 08:21:37 UTC
New details on how to trigger the defect:
We have created a presentation with about 35 slides and a lot of embedded pictures (about 100). While creating the presentation, we saved the file from time to time without a problem.
After the work was completed, we saved the file once more and started the presentation from the first slide for a check. On the second slide, the second of two pictures has vanished (should fly in on "click").
Back in edit mode, OpenOffice showed the frame for a missing image on the slide, but did not signal a change in the open file (taskbar disk symbol for "save" was still grey).
We closed the file (without saving) and quit OpenOffice. Then, we started OpenOffice with a double click on the file icon and the second picture on the second slide was still there — while saving, it has vanished in the open program!
Comment 10 Ilya Komendantov 2014-06-12 14:15:47 UTC
Bug Advocacy student.

Operation System: Windows 7 x64, Windows 8 Pro x64
Open Office: Apache OpenOffice 4.1.0 
AOO410m18(Build:9764)  -  Rev. 1589052
2014-04-22 11:43:54 (Di, 22 Apr 2014)

I was able to repro this issue with such steps:

1. Create a new presentation
2. Write some text (e.g. Test) in the title (or in another textbox) of first slide
3. Click on Title box (with entered text) to select it
4. Add any custom animation with Effect, Timing and Text Animation tabs (e.g. Appear, Box, Circle, etc)
5. Invoke Effect options. Timing tab. Choose: Start effect on click of: "Title text Test1 : Test"
6. Text Animation tab. Choose: Group text: "As one object"
7. Click Ok
==>
Impress crashes
Comment 11 Ilya Komendantov 2014-06-12 14:17:50 UTC
Sorry, previous comment is NOT linked with that defect.
Just my mistake.
Comment 12 Oliver-Rainer Wittmann 2014-06-13 13:23:10 UTC
(In reply to apache.org_kozuschek from comment #9)
> New details on how to trigger the defect:
> We have created a presentation with about 35 slides and a lot of embedded
> pictures (about 100). While creating the presentation, we saved the file
> from time to time without a problem.
> After the work was completed, we saved the file once more and started the
> presentation from the first slide for a check. On the second slide, the
> second of two pictures has vanished (should fly in on "click").
> Back in edit mode, OpenOffice showed the frame for a missing image on the
> slide, but did not signal a change in the open file (taskbar disk symbol for
> "save" was still grey).
> We closed the file (without saving) and quit OpenOffice. Then, we started
> OpenOffice with a double click on the file icon and the second picture on
> the second slide was still there — while saving, it has vanished in the open
> program!

I recently observed a similar issue - see issue 124966.
Unfortunately, I did not remember this issue.

@kozuschek:
Could you please check, if it is the same issue? Thx in advance.
Comment 13 Oliver-Rainer Wittmann 2014-06-13 13:25:00 UTC
(In reply to apache.org_kozuschek from comment #9)
> New details on how to trigger the defect:
> We have created a presentation with about 35 slides and a lot of embedded
> pictures (about 100). While creating the presentation, we saved the file
> from time to time without a problem.
> After the work was completed, we saved the file once more and started the
> presentation from the first slide for a check. On the second slide, the
> second of two pictures has vanished (should fly in on "click").
> Back in edit mode, OpenOffice showed the frame for a missing image on the
> slide, but did not signal a change in the open file (taskbar disk symbol for
> "save" was still grey).
> We closed the file (without saving) and quit OpenOffice. Then, we started
> OpenOffice with a double click on the file icon and the second picture on
> the second slide was still there — while saving, it has vanished in the open
> program!

BTW, could you attach the created sample file?
If it is big you can also e-mail it directly to me (orw@apache.org).
Thanks in advance.
Comment 14 apache.org_kozuschek 2014-06-29 20:44:51 UTC
Issue still exists with AOO-4.0.1 on MacOS-X-10.9.
Comment 15 apache.org_kozuschek 2014-06-29 20:49:09 UTC
(In reply to Oliver-Rainer Wittmann from comment #12)
> (In reply to apache.org_kozuschek from comment #9)
> > New details on how to trigger the defect:
> > We have created a presentation with about 35 slides and a lot of embedded
> > pictures (about 100). While creating the presentation, we saved the file
> > from time to time without a problem.
> > After the work was completed, we saved the file once more and started the
> > presentation from the first slide for a check. On the second slide, the
> > second of two pictures has vanished (should fly in on "click").
> > Back in edit mode, OpenOffice showed the frame for a missing image on the
> > slide, but did not signal a change in the open file (taskbar disk symbol for
> > "save" was still grey).
> > We closed the file (without saving) and quit OpenOffice. Then, we started
> > OpenOffice with a double click on the file icon and the second picture on
> > the second slide was still there — while saving, it has vanished in the open
> > program!
> 
> I recently observed a similar issue - see issue 124966.
> Unfortunately, I did not remember this issue.
> 
> @kozuschek:
> Could you please check, if it is the same issue? Thx in advance.

I don't think so, because our pictures are much larger than 128x128 pixels.
Comment 16 apache.org_kozuschek 2014-06-29 20:59:20 UTC
(In reply to Oliver-Rainer Wittmann from comment #13)
> (In reply to apache.org_kozuschek from comment #9)
> > New details on how to trigger the defect:
> > We have created a presentation with about 35 slides and a lot of embedded
> > pictures (about 100). While creating the presentation, we saved the file
> > from time to time without a problem.
> > After the work was completed, we saved the file once more and started the
> > presentation from the first slide for a check. On the second slide, the
> > second of two pictures has vanished (should fly in on "click").
> > Back in edit mode, OpenOffice showed the frame for a missing image on the
> > slide, but did not signal a change in the open file (taskbar disk symbol for
> > "save" was still grey).
> > We closed the file (without saving) and quit OpenOffice. Then, we started
> > OpenOffice with a double click on the file icon and the second picture on
> > the second slide was still there — while saving, it has vanished in the open
> > program!
> 
> BTW, could you attach the created sample file?
> If it is big you can also e-mail it directly to me (orw@apache.org).
> Thanks in advance.

We have no example file at hand. When pictures have vanished, we add them again at once, because we need a working presentation ;-)
Next time, we will make a copy of the file and will send that to you.
Comment 17 Oliver-Rainer Wittmann 2014-06-30 06:03:08 UTC
(In reply to apache.org_kozuschek from comment #16)
> > 
> > [snip]
> > 
> > BTW, could you attach the created sample file?
> > If it is big you can also e-mail it directly to me (orw@apache.org).
> > Thanks in advance.
> 
> We have no example file at hand. When pictures have vanished, we add them
> again at once, because we need a working presentation ;-)
> Next time, we will make a copy of the file and will send that to you.

Thanks in advance.

There are already developer snapshot builds for early testing of planned 4.1.1 release available - see https://cwiki.apache.org/confluence/display/OOOUSERS/Development+Snapshot+Builds
May be you are able to check your issue in this developer snapshot build.